From ddd564e137f6c74f58f51549bd82876dee69701f Mon Sep 17 00:00:00 2001
From: Hari Babu <kommi.haribabu@gmail.com>
Date: Wed, 21 Nov 2018 12:29:59 +1100
Subject: [PATCH] Removing of unsupported version release notes

As of current release of 12, PostgreSQL version 9.3 and below
are out of support, there is no need of maintain the release notes
of those files and updating them. But we should maintain the
release notes of versions that are under support lifecycle for
easier back-branch release updates.
---
 doc/src/sgml/filelist.sgml    |    11 -
 doc/src/sgml/release-7.4.sgml |  4622 ----------
 doc/src/sgml/release-8.0.sgml |  5421 ------------
 doc/src/sgml/release-8.1.sgml |  5444 ------------
 doc/src/sgml/release-8.2.sgml |  7077 ----------------
 doc/src/sgml/release-8.3.sgml |  8549 -------------------
 doc/src/sgml/release-8.4.sgml | 10080 ----------------------
 doc/src/sgml/release-9.0.sgml | 11091 ------------------------
 doc/src/sgml/release-9.1.sgml | 11761 --------------------------
 doc/src/sgml/release-9.2.sgml | 12201 --------------------------
 doc/src/sgml/release-9.3.sgml | 14551 --------------------------------
 doc/src/sgml/release-old.sgml |  6557 --------------
 doc/src/sgml/release.sgml     |    20 +-
 13 files changed, 7 insertions(+), 97378 deletions(-)
 delete mode 100644 doc/src/sgml/release-7.4.sgml
 delete mode 100644 doc/src/sgml/release-8.0.sgml
 delete mode 100644 doc/src/sgml/release-8.1.sgml
 delete mode 100644 doc/src/sgml/release-8.2.sgml
 delete mode 100644 doc/src/sgml/release-8.3.sgml
 delete mode 100644 doc/src/sgml/release-8.4.sgml
 delete mode 100644 doc/src/sgml/release-9.0.sgml
 delete mode 100644 doc/src/sgml/release-9.1.sgml
 delete mode 100644 doc/src/sgml/release-9.2.sgml
 delete mode 100644 doc/src/sgml/release-9.3.sgml
 delete mode 100644 doc/src/sgml/release-old.sgml

diff --git a/doc/src/sgml/filelist.sgml b/doc/src/sgml/filelist.sgml
index 48ac14a838..4c23d890f2 100644
--- a/doc/src/sgml/filelist.sgml
+++ b/doc/src/sgml/filelist.sgml
@@ -172,17 +172,6 @@
 <!ENTITY release-9.6    SYSTEM "release-9.6.sgml">
 <!ENTITY release-9.5    SYSTEM "release-9.5.sgml">
 <!ENTITY release-9.4    SYSTEM "release-9.4.sgml">
-<!ENTITY release-9.3    SYSTEM "release-9.3.sgml">
-<!ENTITY release-9.2    SYSTEM "release-9.2.sgml">
-<!ENTITY release-9.1    SYSTEM "release-9.1.sgml">
-<!ENTITY release-9.0    SYSTEM "release-9.0.sgml">
-<!ENTITY release-8.4    SYSTEM "release-8.4.sgml">
-<!ENTITY release-8.3    SYSTEM "release-8.3.sgml">
-<!ENTITY release-8.2    SYSTEM "release-8.2.sgml">
-<!ENTITY release-8.1    SYSTEM "release-8.1.sgml">
-<!ENTITY release-8.0    SYSTEM "release-8.0.sgml">
-<!ENTITY release-7.4    SYSTEM "release-7.4.sgml">
-<!ENTITY release-old    SYSTEM "release-old.sgml">
 
 <!ENTITY acronyms   SYSTEM "acronyms.sgml">
 
diff --git a/doc/src/sgml/release.sgml b/doc/src/sgml/release.sgml
index c4e763a043..d86dcd9fc9 100644
--- a/doc/src/sgml/release.sgml
+++ b/doc/src/sgml/release.sgml
@@ -45,8 +45,8 @@ For new features, add links to the documentation sections.
  <title>Release Notes</title>
 
   <para>
-   The release notes contain the significant changes in each
-   <productname>PostgreSQL</productname> release, with major features and migration
+   The release notes contain the significant changes in recent
+   <productname>PostgreSQL</productname> releases, with major features and migration
    issues listed at the top.  The release notes do not contain changes
    that affect only a few users or changes that are internal and therefore not
    user-visible.  For example, the optimizer is improved in almost every
@@ -69,6 +69,11 @@ For new features, add links to the documentation sections.
    that item.  Of course all changes involve community discussion and patch
    review, so each item is truly a community effort.
   </para>
+  
+  <para>
+   For release notes of older versions, please refer the documentation
+   of corresponding releases.
+  </para>
 
 <!--
   To add a new major-release series, add an entry here and in filelist.sgml.
@@ -82,16 +87,5 @@ For new features, add links to the documentation sections.
 &release-9.6;
 &release-9.5;
 &release-9.4;
-&release-9.3;
-&release-9.2;
-&release-9.1;
-&release-9.0;
-&release-8.4;
-&release-8.3;
-&release-8.2;
-&release-8.1;
-&release-8.0;
-&release-7.4;
-&release-old;
 
 </appendix>
-- 
2.18.0.windows.1

